* {
	padding:0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;

}
.life-bar {
  width : 20px;
  height: 10px;
  color : red;
  border: solid black 2px;
  background-color: purple;
  float: left;
}
.xp-bar {
  width : 20px;
  height: 10px;
  color : red;
  border: solid black 2px;

  float: left;

}
.hungry-bar {

  width : 20px;
  height: 10px;
  color : red;
  border: solid black 2px;
  background-color: yellow;
  float:left;
}
#vida {
  margin-left: 35%;
  margin-right:  35%;
  display: block;
  left: 0;
  width : auto;
  height: 20px;
  float: right;
}
#fome {
  margin-left: 35%;
  margin-right:  35%;
  display: block;
  width : auto;
  height: 20px;
  float:right;
  clear:left;
}
#xp {
  margin-left: 35%;
  margin-right:  35%;
  display: block;
  width : auto;
  height: 20px;
  float:right;
  clear:left;
}
.digimon-main {
  border: solid black 5px;
  display: block;
  margin: 0 35%;
  background: url("sprite/background.jpg") center center;
  background-size: cover;
  background-repeat: no-repeat;
}
#digi {
  margin-left: 30%;
  width: 200px;
  height: 200px;
  transition-delay: 0.1s;
}
.icone {
  float : left;
height: 75%;
width: 4%;
}
.egg {
  cursor: pointer;
  width: 5%;
  border: solid black 2px;
  transition: 0.5s ;
}
.blocked{
	border:solid red 3px;
}
.egg:hover{
  width: 7%;
  border: solid orange 2px;
  transition: 0.5s ;
}
.egg:active {
  border: solid green 2px;
}
.main {
display: block;
margin-left: 30%;
}
.main h2{
  color: orange;
  text-shadow: black 5px 5px 5px ;
}
.main h3{
  color: red;
  text-shadow: black 5px 5px 5px ;
}
.main p {
  color: white;
}
.main button {
  background-color: blue;
  color : orange;
  border: solid orange 2px;
  margin-left: inherit;
  font-family: "DigimonBasic";
}
 input{
  background-color: blue;
  color : orange;
  border: solid orange 2px;
  font-family: "DigimonBasic";
}
body {
  background: url("sprite/visualback.jpg")  ;
  background-size: cover;
  font-family: "DigimonBasic";

}
@font-face {

      font-family: "DigimonBasic";
      src: url("DigimonBasic.ttf") format("truetype");

      }
.digimon-main h1{
  text-align: center;
  text-shadow: black 5px 5px 5px;
  box-shadow: black 5px 5px 5px;
  margin-top: 0;
  background-color: blue;
  color: orange;
  border: solid orange 2px;
}
#particles-js {
	width:100%;
  height: 100%;
  pointer-events: none;
	position:fixed;

}
#check   {
	display: none;
}
#check-digivice {
	display:none;
 }
#icone {
	cursor: pointer;
	position: absolute;
	z-index: 1;
	margin-top: 0;
}
#icone-digivice {
	cursor: pointer;
	position: absolute;
	z-index: 1;
	margin-top: 0;
	right:0;
}
.barra {
	width: 300px;
	height: 100%;
	position: absolute;
	left: -300px;
	background: blue;
	transition: .5s;
	border: solid orange 2px;
	margin-top: 0;
}
.barra img {
	width: 45%;
	margin: 0 27%;
}
.barra nav ul li a {

	font-size: 28px;
	color : orange;
	padding: 15px;
	text-decoration: none;

}
.barra nav ul li {
	background-color: darkblue;
	margin-bottom: 20%;
	width: 290px;
	border:  solid black 2px;
}
.barra nav ul li:hover{

	background-color: green;
	transition: .5s;
}
#check:checked ~ .barra{
	transform: translateX(300px);
}
#check-digivice:checked ~ #digivice{
transform: translateY(800px);
}
.tela {
  background : url("https://vignette.wikia.nocookie.net/digimonat/images/5/50/Wiki-background/revision/latest?cb=20180730223701&path-prefix=pt") center top ;
  background-size: cover;
  display:block;
  margin: auto;
  border: solid orange 2px;
}
.undertale {
	background: url('');
  background-color: black;
  display:block;
  margin: auto;
  border: solid orange 2px;
}
#digivice {
  position:absolute;
  right:0px;
top: -800px;
  text-align: center;
  color: orange;
  text-shadow: 5px 5px 5px black;
  background-color: darkblue;
  border: solid orange 3px;
  width:30%;
height:100%;
transition: .5s;
padding: 25px;
padding-top:25px;
}
#digivice button {
  color: orange;
  background-color: blue;
  border: solid orange 2px;
  margin: 10px;
  padding: 5px;
  font-family: "DigimonBasic";
}
body {
	margin: 0px;
}
#inimigo {
  width: 200px;
  height: 200px;
  display: block;
  margin: 25% ;

 }
 .atack {
	 position: absolute;
	 transform: translate(-50%,-50%);
 	filter: blur(10px);
	 border-radius: 50%;
	 background-color: red;
	 animation: animado 0.2s linear ;
 }
 @keyframes animado {
 	0%{
		width: 0px;
 	 height: 0px;
	}
	100%{
		width: 50px;
 	 height: 50px;
	}
 }
 #logo-extra{
	 display: block;
	 margin: auto;
 }
 h1{
	 text-align: center;
	 color: orange;
	 text-shadow: 5px 5px 5px black;
 }
 h3 {
	 text-align: center;
	 color: orange;
	 text-shadow: 5px 5px 5px black;
 }
 .lojinha img{
	 width: 150px;
	 height: 150px;
	 display: block;
	 margin:auto;
 }
 .lojinha p {
	 text-align: center;
	 margin: 5px 30%;

 }
.lojinha button{
	background-color: blue;
	font-family: "DigimonBasic";
	color : orange;
	border: orange solid 2px;
	padding: 5px;
	margin: auto;
	display: block;
}
#tela button {
 	opacity :0;
}

.modulo {
	text-align: center;
	font-size:  20px;
}
#criador{
	text-align: center;
	font-size:  20px;
	background-color: blue;
	border: orange solid 2px;
	font-family: "DigimonBasic";
	color : orange;
	width:500px;
	padding: 15px;
	margin: auto;

}
.modulo button,#buyIgg{
	background-color: blue;
	font-family: "DigimonBasic";
	color : orange;
	border: orange solid 2px;
	padding: 5px;
	margin: auto;
	display: block;
}
#modal {
box-shadow: 5px 5px 5px 5px black;
border: solid orange 2px;
position: fixed;
  top: -800px;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 10;
 background-color: blue;
 width: 800px;
 height: 100px;
 margin: 0 auto;
transition: .5s;
}
#modal h2 {
color: orange;
text-shadow:3px 3px 3px black;
text-align: center;
}
#modal p {
font-size: 15px;
text-align: center;
}
#music-play{
cursor:pointer;
font-size: 45px;
color: orange;
display:block;
margin: 5% auto;
background: blue;
border: none;
text-align: center
}
#music-play:hover{
transition: .5s;
color:red;
}
.criadores {
	background-color: blue;
	width: 100%;
	height: 60%;
	border: solid black 2px;
	transition: .5s;
	position: fixed;
	top: -800px;
	left: 0;
	overflow: hidden;
}

.criadores h2{
	text-align: center;
	width: auto;
	color: orange;
	text-shadow: 5px 5px 5px black;
}
.criadores p{
	text-align: center;
}
.inventario {
	display: flex;
	width: 200px;
	height: 208px;
	box-sizing: border-box;
	background-color: white;
	margin: 2% auto;
	background-color: blue;
	border: solid black 2px;
}
td img {
	display: 	flex;
	width: 80px;
	height: 80px;
	margin: 0 auto;
}
td,tr {
	border: solid black 2px;
}
td {
	width: 100px;
	height: 100px;
}
#formar {
	display:none;
	margin: 0 auto;
	background-color : blue;
	border: solid red;1px;
	font-family : "DigimonBasic";
	padding: 1%;
	color : red;
	transition : .4s;
	animation: alertar .5s alternate infinite;
	cursor: pointer;
}
@keyframes alertar{
	from{transform:scale(1);}
	to{transform:scale(1.5);}
}
#roletaDiv{
	display: block;
	margin: 0 auto;
}
#bet-options {
	margin: 0 35%;
	width: 450px;
	height: 100px;
	border: solid black 1px;
	background-color: blue;
	color: orange;
}
#bet-options input{
	width: 63%
}
#roletaDiv img{
	width: 270px;
	height: 270px;
	margin: 0 40%;
}
#marcador{
	transform: scale(0.2);
	z-index: 2;
	position: absolute;
	top: -120px;
	left: 0;
	
}
#roletaDiv button{
	width: 200px;
	height: 50px;
	margin: 0 auto;
}
#red{
	background-color: red;
	color: white;
	border: none;
}
#black{
	background-color: black;
	color: white;
	border: none;

}
#whell{
	transition: 10s;
	animation: ease-in-out;
}